org.wso2.carbon.webapp.mgt.sso

## Class SSOCarbonX509Credential

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.sso.SSOCarbonX509Credential

- All Implemented Interfaces:
    org.opensaml.xml.security.credential.Credential, org.opensaml.xml.security.x509.X509Credential

      public class SSOCarbonX509Credential
      extends Object
      implements org.opensaml.xml.security.x509.X509Credential

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSOCarbonX509Credential(X509Certificate cert)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.opensaml.xml.security.credential.CredentialContextSet` | `getCredentalContextSet()`
    `Class<? extends org.opensaml.xml.security.credential.Credential>` | `getCredentialType()`
    `Collection<X509CRL>` | `getCRLs()`
    `X509Certificate` | `getEntityCertificate()`
    `Collection<X509Certificate>` | `getEntityCertificateChain()`
    `String` | `getEntityId()`
    `Collection<String>` | `getKeyNames()`
    `PrivateKey` | `getPrivateKey()`
    `PublicKey` | `getPublicKey()` Retrieves the publicKey
    `SecretKey` | `getSecretKey()`
    `org.opensaml.xml.security.credential.UsageType` | `getUsageType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSOCarbonX509Credential

          public SSOCarbonX509Credential(X509Certificate cert)

  - ### Method Detail

    - #### getPublicKey

          public PublicKey getPublicKey()

      Retrieves the publicKey
      Specified by:
        `getPublicKey` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getPrivateKey

          public PrivateKey getPrivateKey()

      Specified by:
        `getPrivateKey` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getEntityCertificate

          public X509Certificate getEntityCertificate()

      Specified by:
        `getEntityCertificate` in interface `org.opensaml.xml.security.x509.X509Credential`

    - #### getCRLs

          public Collection<X509CRL> getCRLs()

      Specified by:
        `getCRLs` in interface `org.opensaml.xml.security.x509.X509Credential`

    - #### getEntityCertificateChain

          public Collection<X509Certificate> getEntityCertificateChain()

      Specified by:
        `getEntityCertificateChain` in interface `org.opensaml.xml.security.x509.X509Credential`

    - #### getCredentalContextSet

          public org.opensaml.xml.security.credential.CredentialContextSet getCredentalContextSet()

      Specified by:
        `getCredentalContextSet` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getCredentialType

          public Class<? extends org.opensaml.xml.security.credential.Credential> getCredentialType()

      Specified by:
        `getCredentialType` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getEntityId

          public String getEntityId()

      Specified by:
        `getEntityId` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getKeyNames

          public Collection<String> getKeyNames()

      Specified by:
        `getKeyNames` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getSecretKey

          public SecretKey getSecretKey()

      Specified by:
        `getSecretKey` in interface `org.opensaml.xml.security.credential.Credential`

    - #### getUsageType

          public org.opensaml.xml.security.credential.UsageType getUsageType()

      Specified by:
        `getUsageType` in interface `org.opensaml.xml.security.credential.Credential`

Copyright © 2017 WSO2. All rights reserved.